* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	/*
	box-sizing adjusts the height and width of elements
		only the content is resized. padding and border are added on top of height/width.

	box-sizing: content-box;
		all paddings + all borders + content height/width


	box-sizing: border-box;
		content box reduced to match indicated height and width.

	*/
}

#box1 {
	/*
		Four parts of box model
		margin, border, padding, content
	
		margin and padding can be applied at top, bottom, left, right.
	*/


	border: 2px solid black;
	padding: 20px;
	background-color: red;
	height: 100px;
	width: 100px;
	display: inline;
}


/*
	inline elements occupy space beased on the overall size of its content. it will be displayed beside each other and its height and width cannot be resized.

	inline-block - displayed side by side like inline elements and adjust width and height like block elements

*/


#span1 {
	border: 2px solid black;
	background-color: yellow;
	height: 100px;
	width: 100px;
	display: inline-block;
}

#box2 {
	border: 2px solid black;
	background-color: orange;
	height: 100px;
	width: 100px;
	display: inline-block;
}